## org.eclipse.ocl.cst
Interface CollectionRangeCS

All Superinterfaces:
  CollectionLiteralPartCS, CSTNode, EObject, Notifier

All Known Implementing Classes:
  CollectionRangeCSImpl

    public interface CollectionRangeCS

extends CollectionLiteralPartCS

A representation of the model object 'Collection Range CS'.

The following features are supported:

- `Last Expression CS`

See Also:
  `CSTPackage.getCollectionRangeCS()`

Method Summary
`OCLExpressionCS` `getLastExpressionCS()` Returns the value of the 'Last Expression CS' containment reference
`void` `setLastExpressionCS(OCLExpressionCS value)` Sets the value of the '`Last Expression CS`' containment reference

Methods inherited from interface org.eclipse.ocl.cst.CollectionLiteralPartCS
`getExpressionCS, setExpressionCS`

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getAst, getEndOffset, getEndToken, getStartOffset, getStartToken, setAst, setEndOffset, setEndToken, setStartOffset, setStartToken`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLastExpressionCS

    OCLExpressionCS getLastExpressionCS()

  Returns the value of the 'Last Expression CS' containment reference.

  If the meaning of the 'Last Expression CS' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Last Expression CS' containment reference.
  See Also:
    `setLastExpressionCS(OCLExpressionCS)`, `CSTPackage.getCollectionRangeCS_LastExpressionCS()`

### setLastExpressionCS

    void setLastExpressionCS(OCLExpressionCS value)

  Sets the value of the '`Last Expression CS`' containment reference.

  Parameters:
    `value` - the new value of the 'Last Expression CS' containment reference.
  See Also:
    `getLastExpressionCS()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.